VERSION 5.00
Begin VB.Form ToolStoreControlMenu 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Tool Store"
   ClientHeight    =   210
   ClientLeft      =   150
   ClientTop       =   780
   ClientWidth     =   5160
   ControlBox      =   0   'False
   Icon            =   "ToolStoresMenu.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   210
   ScaleWidth      =   5160
   StartUpPosition =   3  'Windows Default
   Begin VB.DirListBox Dir1 
      Height          =   315
      Left            =   1560
      TabIndex        =   1
      Top             =   480
      Width           =   375
   End
   Begin VB.TextBox txtThisPath 
      Height          =   285
      Left            =   240
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   480
      Width           =   735
   End
   Begin VB.Menu mnuStockSetup 
      Caption         =   "Stock Setup"
      Begin VB.Menu mnuIDFormats 
         Caption         =   "Tool ID Formats"
      End
      Begin VB.Menu mnuToolStock 
         Caption         =   "Tool Stock"
      End
      Begin VB.Menu mnuReceiveToolStock 
         Caption         =   "Receive Tool Stock"
      End
   End
   Begin VB.Menu MnuSupplierDetail 
      Caption         =   "Supplier Detail"
   End
   Begin VB.Menu mnuOrderForm 
      Caption         =   "OrderForm"
   End
   Begin VB.Menu mnuUtilities 
      Caption         =   "Utilities"
      Begin VB.Menu mnuAbout 
         Caption         =   "About"
      End
      Begin VB.Menu mnuRepairDatabase 
         Caption         =   "Repair Database"
      End
      Begin VB.Menu mnuDatabasePath 
         Caption         =   "Change Database Path"
      End
      Begin VB.Menu mnuHeadingAddress 
         Caption         =   "Heading Address"
      End
      Begin VB.Menu mnuHelpEdit 
         Caption         =   "Edit Help"
      End
      Begin VB.Menu mnuEditDataBase 
         Caption         =   "Edit and Copy Database data"
      End
   End
   Begin VB.Menu mnuExit 
      Caption         =   "Exit"
   End
End
Attribute VB_Name = "ToolStoreControlMenu"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Activate()
  txtThisPath.Text = Dir1.Path
End Sub

Private Sub mnuCompactDatabase_Click()
  StoresCompactDatabase.Show
End Sub

Private Sub mnuAbout_Click()
  Message$ = ""
  About$ = ""
  eol = Chr(10) & Chr(13)
  Open ToolStoreControlMenu.txtThisPath.Text & "\StoresManager.vbp" For Input As #2
  Do While Not EOF(2)
    Line Input #2, ThisLIne$
    If InStr(ThisLIne$, "Title") > 0 Then
      About$ = "This Software " & ThisLIne$
    End If
    If InStr(ThisLIne$, "VersionComments") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "VersionCompanyName") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "MajorVer") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "MinorVer") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "RevisionVer") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "VersionDescription") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "VersionLegalCopyright") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "VersionLegalTrademarks") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "VersionProductName") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
    If InStr(ThisLIne$, "VersionFileDescription") > 0 Then
      Message$ = Message$ & ThisLIne$ & eol
    End If
  Loop
  Close #2
  prompt$ = ""
  reply = MsgBox(Message$, vbOKOnly, About$)
End Sub

Private Sub mnuDatabasePath_Click()
  SetStoresDatabasePath.Show
End Sub

Private Sub mnuEditDataBase_Click()
  Open "StoresPos.ini" For Input As #2
  Line Input #2, DataBasePath$
  Close #2
  If Right(Left(DataBasePath$, 2), 1) <> ":" Then
    DataBasePath$ = ToolStoreControlMenu.txtThisPath.Text & "\" & DataBasePath$
  End If
  DatabaseEdit.CommonDialog1.Filter = "Stores.mdb |Stores.mdb"
  DatabaseEdit.CommonDialog1.FileName = DataBasePath$
  DatabaseEdit.Show
End Sub

Private Sub mnuExit_Click()
  End
End Sub

Private Sub mnuHeadingAddress_Click()
  HeadingAddress.Show
End Sub

Private Sub mnuIDFormats_Click()
  IDFormats.Show
End Sub

Private Sub mnuOrderFormHeading_Click()
  HeadingAddress.Show
End Sub

Private Sub mnuOrderList_Click()
  OrderForm.Show
End Sub

Private Sub mnuOrderForm_Click()
  OrderForm.Show
End Sub

Private Sub mnuOrderValueTransfer_Click()
  ToolOrdersTransfer.Show
End Sub

Private Sub mnuReceiveStock_Click()
  ReceiveToolStock.Show
End Sub

Private Sub mnuSuppliers_Click()
  SupplierDetail.Show
End Sub

Private Sub mnuToolIDFormats_Click()
  IDFormats.Show
End Sub

Private Sub mnuReceiveToolStock_Click()
  ReceiveToolStock.Show
End Sub

Private Sub mnuRepairDatabase_Click()
  StoresDatabaseRepair.Show
End Sub

Private Sub MnuSupplierDetail_Click()
  SupplierDetail.Show
End Sub

Private Sub mnuToolStock_Click()
  ToolStock.Show
End Sub

Private Sub mnuHelpEdit_Click()
  StoresManagerHelpEdit.Show
End Sub





